{% extends 'base.html' %}

{% block content_full %}
    <div class="page-header d-flex align-items-center companies-page">
        <div class="pt-2 pb-2">
            <h1>Companies</h1>
        </div>
    </div>
{% endblock %}

{% block content %}
    <div class="container mt-3">
        {% for company in companies %}
        <div class="row post-content d-flex align-items-center">
            <div class="col-4">
                <div class="profile-item-image pr-4">
                    <img src="{{ company.logo.url }}" alt="">
                </div>
            </div>
            <div class="col-md-8 pl-2 border-left">
                <div class="company-content">
                    <h6 class="post-title">{{ company.name }}</h6>
                    <p>{{ company.expect }}</p>
                    <a href="{% url 'companies' %}{{ company.slug }}" class="btn btn-primary mt-2">read more</a>
                </div>
            </div>
        </div>
        {% endfor %}

        <div class="pagination">
           <span class="step-links">
            {% if companies.has_previous %}
               <a href="?page=1" class="page-link">&laquo; first</a>
               <a href="?page={{ companies.previous_page_number }}">previous</a>
            {%endif%}
             <span class="current">
                Page {{ companies.number }} of {{ companies.paginator.num_pages }}.
            </span>
             {% if companies.has_next %}
                      <a href="?page={{ companies.next_page_number }}" class="page-link">next</a>
              <a href="?page={{ companies.paginator.num_pages }}" class="page-link">last &raquo;</a>
             {% endif %}
           </span>
	    </div>
    </div>
{% endblock %}

{% block sidebar %}
    <div class="sidebar ml-2 mt-3">
        <h6 class="title">Service Provider</h6>
        <ul>
            {% for company in companies|slice:"10:20" %}
                <li>{{ company.name}}</li>
            {% endfor %}
        </ul>

    </div>
{% endblock %}